require "wykoponrails/version"
require "httparty"
require "yaml"

module Wykoponrails
  include HTTParty

  base_uri "http://a.wykop.pl/"
  if File.file?("secret.yml")
    secret_file = YAML.load_file("secret.yml")
  end

  SECRET_KEY = ENV['SECRET_WYKOP_API_KEY'] || secret_file["secret_key_app"] 
  KEY_APP = ENV['WYKOP_KEY_APP'] || secret_file["key_app"]


  def self.tag(tag)
    url = "http://a.wykop.pl/tag/index/#{tag},appkey,#{KEY_APP}"
    res = get(url, :headers => { 'apisign' => loguj(url) })
    tags = res.parsed_response['items']
  end


  def self.find
    url = "http://a.wykop.pl/links/promoted/appkey,#{KEY_APP}"
    res = get(url, :headers => { 'apisign' => loguj(url) })
  end

  private

    def self.loguj(url)
      Digest::MD5.hexdigest(SECRET_KEY + url)
    end
  
end
